libdevice User's Guide (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 3.48. __nv_double2float_rz

Prototype:

    float @__nv_double2float_rz(double %d)

Description:

Convert the double-precision floating point value `x` to a single-precision floating point value in round-towards-zero mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes